Subject: bug#12645: 24.2.50; hang in redisplay

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Oct 2012 18:21:19 +0200

> From: Yagnesh Raghava Yakkala <[email-masked]>
> Date: Sun, 14 Oct 2012 20:08:13 +0900
> 
> Using Emacs from trunk (built two days ago) 
> Emacs is hanging in python shell buffer
> 
> emacs -Q test.py
> C-c C-z (start a shell switch to)
> 
> now Emacs hangs. I have to press C-g to getout of hanging. (infinite-loop)

I don't get a hang, I get a prompt in the minibuffer asking how to run
Python.  Am I missing something?

If you attach GDB to Emacs when it is inflooping, what backtrace do
you see?